`timescale 1ns / 100ps

//setup testbench module
module dff_testfixture;
wire	Q_, nQ_;
reg		D_;
reg		R_, S_;
reg		C_;
   
//instantiate the DFF
dff test(nQ_, S_, R_, Q_, D_, C_);
	
//generate test signals
initial
begin
$sdf_annotate("/home/travis/dff_test/dff.sdf");

	$timeformat(-9, 1, " ns", 6);
	C_ = 1'b0;
	D_ = 1'b0;
	S_ = 1'b1;
	R_ = 1'b1; 
	#3000 R_ = 1'b0;
	#4000 R_ = 1'b1; 
	@(negedge C_) 
		D_ = 1'b0;
	@(negedge C_) 
		D_ = 1'b1;
		#13000 R_ = 1'b1;
		#2000 R_ = 1'b0;
	@(negedge C_) 
		$finish; 
end
always
#2000 C_ = ~ C_;
endmodule

